Page MenuHomePhabricator

Canonical namespaces for ukWikisource
Closed, ResolvedPublic

Description

It is related to https://bugzilla.wikimedia.org/show_bug.cgi?id=48308 but I'm opening a new ticket instead of reopening the former one (people feel better if they work on new tickets).

According to https://uk.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases the following things are needed to be fixed:

250:"Сторінка" should have "Page" as a canonical namespace.
251:"Обговорення сторінки" - "Page talk"
252:"Індекс" - "Index"
253:"Обговорення індексу" - "Index talk"
102:"Автор" - "Author" (instead of having it as an alias)
103:"Обговорення автора" - "Author talk" (again, instead of having it as an alias)


Version: wmf-deployment
Severity: enhancement
URL: https://uk.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases

Details

Reference
bz50351

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:45 AM
bzimport set Reference to bz50351.
bzimport added a subscriber: Unknown Object (MLST).
DixonD created this task.Jun 28 2013, 8:55 AM
Tpt added a comment.Jun 28 2013, 3:59 PM

It have been done for "page" and "index" namespaces.

Not technically possible for the remaining namespaces (102 and 103).

tomasz removed a project: Shell.Feb 23 2015, 7:44 PM
tomasz set Security to None.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 22 2015, 6:26 PM
Restricted Application added a subscriber: Base. · View Herald TranscriptOct 18 2015, 1:56 PM
Dereckson closed this task as Resolved.Apr 30 2017, 5:46 AM
Dereckson assigned this task to tomasz.

Fixed for Page: and Index: in Proofreadpage per 2186a66c.

Canonical namespaces make only sense when there belong to a common extension.
Purely local namespaces like Author: aren't canonical per se, as they only exist locally and not shared across wiki / applications.

Base added a comment.Apr 30 2017, 8:05 AM

Aren't they shared?

So, do I understand correctly that all scripts using namespaces Author must be localized in every wikisource? It's weird.